/*
 * Copyright (c) 2007, Jim C. Nasby (decibel@decibel.org)
 * All rights reserved.
 *
 * $Id: permissions.sql 34 2007-11-16 19:02:59Z decibel $
 */

CREATE GROUP stats_reader;

GRANT USAGE ON SCHEMA gather TO public;


REVOKE ALL ON FUNCTION gather.table_list() FROM public;
REVOKE ALL ON FUNCTION gather.all() FROM public;
REVOKE ALL ON FUNCTION gather.cluster(
    p_cluster clusters
) FROM public;
REVOKE ALL ON FUNCTION gather.database(
    p_database              databases
    , p_connect_string      clusters.connect_string%TYPE
) FROM public;
REVOKE ALL ON FUNCTION gather.table(
    p_database_id   databases.database_id%TYPE
    , p_tablename   text
) FROM public;
REVOKE ALL ON FUNCTION gather.create_table(
    p_tablename     text
) FROM public;
REVOKE ALL ON FUNCTION gather.integrate_stats() FROM public;

GRANT EXECUTE ON FUNCTION gather.all() TO public;

GRANT SELECT ON clusters TO GROUP stats_reader;

GRANT SELECT ON raw.database_stats TO GROUP stats_reader;
GRANT SELECT ON raw.databases TO GROUP stats_reader;
GRANT SELECT ON rrs_data.database TO GROUP stats_reader;
GRANT SELECT ON database_stats TO GROUP stats_reader;

GRANT SELECT ON raw.table_stats TO GROUP stats_reader;
GRANT SELECT ON raw.tables TO GROUP stats_reader;
GRANT SELECT ON rrs_data.table TO GROUP stats_reader;
GRANT SELECT ON table_stats TO GROUP stats_reader;

GRANT SELECT ON raw.index_stats TO GROUP stats_reader;
GRANT SELECT ON raw.indexes TO GROUP stats_reader;
GRANT SELECT ON rrs_data.index TO GROUP stats_reader;
GRANT SELECT ON index_stats TO GROUP stats_reader;

GRANT SELECT ON raw.sequence_stats TO GROUP stats_reader;
GRANT SELECT ON raw.sequences TO GROUP stats_reader;
GRANT SELECT ON rrs_data.sequence TO GROUP stats_reader;
GRANT SELECT ON sequence_stats TO GROUP stats_reader;

--		vi: expandtab sw=4 ts=4
