#!/bin/sh
#
# $Id: release.sh 65 2005-04-19 21:22:04Z decibel $

VERSION=`cat VERSION`
RELEASE=rrs-$VERSION
RELEASE_DIR=release/$RELEASE
TMP_DIR=~/tmp/rrs-$VERSION
DOWNLOAD_DIR=~/rrs_html/download

# Make sure ~/tmp exists
mkdir -p ~/tmp

cd ..
svn cp trunk/. $RELEASE_DIR || exit 1
ls -la $RELEASE_DIR

read -p "Look ok? (y/N)" input
if [ $input != [Yy] ]; then
    exit
fi

svn ci -m "Release `cat VERSION`" $RELEASE_DIR || exit 1
cp -R $RELEASE_DIR $TMP_DIR || exit 1
cd $TMP_DIR || exit 1

rm release.sh || exit 1
find . -type d -name .svn -exec rm {}\; || exit 1
cd ..
tar -czvf $RELEASE.tgz $RELEASE || exit 1
cat $RELEASE.tgz | md5 > $RELEASE.tgz.md5 || exit 1

chmod a+r $RELEASE.* || exit 1
mv $RELEASE.* $DOWNLOAD_DIR || exit 1
cd $DOWNLOAD_DIR
ln -sf $RELEASE.tgz current.tgz
ln -sf $RELEASE.tgz.md5 current.tgz.md5
ls -la current.*

# vi: expandtab ts=4 sw=4
