SET search_path=raw,rrs;

DELETE
    FROM database_capture
    WHERE captured_at < (SELECT min(last_end_time)
                            FROM rrs.source s
                                CROSS JOIN rrs.rrs r
                                LEFT JOIN rrs.source_status ss ON (s.source_id = ss.source_id
                                                                    AND r.rrs_id = ss.rrs_id)
                            WHERE source_name = 'Databases'
                                AND parent IS NULL
                        )
;

DELETE
    FROM table_capture
    WHERE captured_at < (SELECT min(last_end_time)
                            FROM rrs.source s
                                CROSS JOIN rrs.rrs r
                                LEFT JOIN rrs.source_status ss ON (s.source_id = ss.source_id
                                                                    AND r.rrs_id = ss.rrs_id)
                            WHERE source_name = 'Tables'
                                AND parent IS NULL
                        )
;

DELETE
    FROM index_capture
    WHERE captured_at < (SELECT min(last_end_time)
                            FROM rrs.source s
                                CROSS JOIN rrs.rrs r
                                LEFT JOIN rrs.source_status ss ON (s.source_id = ss.source_id
                                                                    AND r.rrs_id = ss.rrs_id)
                            WHERE source_name = 'Indexes'
                                AND parent IS NULL
                        )
;

DELETE
    FROM sequence_capture
    WHERE captured_at < (SELECT min(last_end_time)
                            FROM rrs.source s
                                CROSS JOIN rrs.rrs r
                                LEFT JOIN rrs.source_status ss ON (s.source_id = ss.source_id
                                                                    AND r.rrs_id = ss.rrs_id)
                            WHERE source_name = 'Sequences'
                                AND parent IS NULL
                        )
;

