/*
 * Copyright (c) 2007, Jim C. Nasby (decibel@decibel.org)
 * All rights reserved.
 *
 * $Id: schema.sql 37 2008-11-05 20:19:20Z decibel $
 */

CREATE SCHEMA template;
SET search_path = template;

CREATE TABLE cluster_databases (
    captured_at timestamp with time zone,
    idle integer,
    idle_in_transaction integer,
    datid oid,
    datname name,
    numbackends integer,
    xact_commit bigint,
    xact_rollback bigint,
    blks_read bigint,
    blks_hit bigint,
    tup_returned bigint,
    tup_fetched bigint,
    tup_inserted bigint,
    tup_updated bigint,
    tup_deleted bigint
);

CREATE TABLE pg_stat_user_indexes (
    database_id integer,
    captured_at timestamp with time zone,
    relid oid,
    indexrelid oid,
    schemaname name,
    relname name,
    indexrelname name,
    idx_scan bigint,
    idx_tup_read bigint,
    idx_tup_fetch bigint
);

CREATE TABLE pg_stat_user_tables (
    database_id integer,
    captured_at timestamp with time zone,
    relid oid,
    schemaname name,
    relname name,
    seq_scan bigint,
    seq_tup_read bigint,
    idx_scan bigint,
    idx_tup_fetch bigint,
    n_tup_ins bigint,
    n_tup_upd bigint,
    n_tup_del bigint,
    n_tup_hot_upd bigint,
    n_live_tup bigint,
    n_dead_tup bigint,
    last_vacuum timestamp with time zone,
    last_autovacuum timestamp with time zone,
    last_analyze timestamp with time zone,
    last_autoanalyze timestamp with time zone
);


CREATE TABLE pg_statio_user_indexes (
    database_id integer,
    captured_at timestamp with time zone,
    relid oid,
    indexrelid oid,
    schemaname name,
    relname name,
    indexrelname name,
    idx_blks_read bigint,
    idx_blks_hit bigint
);


CREATE TABLE pg_statio_user_sequences (
    database_id integer,
    captured_at timestamp with time zone,
    relid oid,
    schemaname name,
    relname name,
    blks_read bigint,
    blks_hit bigint
);


CREATE TABLE pg_statio_user_tables (
    database_id integer,
    captured_at timestamp with time zone,
    relid oid,
    schemaname name,
    relname name,
    heap_blks_read bigint,
    heap_blks_hit bigint,
    idx_blks_read bigint,
    idx_blks_hit bigint,
    toast_blks_read bigint,
    toast_blks_hit bigint,
    tidx_blks_read bigint,
    tidx_blks_hit bigint
);
